Functions | Variables

# UsbIsr.c File Reference

For more information on this file please refer to Programmer’s Guide: MSP430 USB API Stack for CDC/HID http://focus.ti.com/docs/prod/folders/print/msp430f5529.html#toolssoftware. More...

`#include "MSP430.h"`
`#include "..\Common\types.h"`
`#include "..\USB_Common\defMSP430USB.h"`
`#include "..\USB_Common\descriptors.h"`
`#include "..\USB_Common\usb.h"`
`#include "UsbIsr.h"`
`#include <string.h>`

Go to the source code of this file.

## Functions
BOOL | CdcToHostFromBuffer ()
BOOL | CdcToBufferFromHost ()
BOOL | CdcIsReceiveInProgress ()
BOOL | HidToHostFromBuffer ()
BOOL | HidToBufferFromHost ()
BOOL | HidIsReceiveInProgress ()
__interrupt VOID | iUsbInterruptHandler (VOID)
BYTE | SetupPacketInterruptHandler (VOID)
VOID | PWRVBUSoffHandler (VOID)
VOID | PWRVBUSonHandler (VOID)
VOID | IEP0InterruptHandler (VOID)
VOID | OEP0InterruptHandler (VOID)
## Variables
BYTE | bFunctionSuspended
__no_init tEDB0 __data16 | tEndPoint0DescriptorBlock
__no_init tEDB __data16 | tInputEndPointDescriptorBlock []
__no_init tEDB __data16 | tOutputEndPointDescriptorBlock []
volatile BYTE | bHostAsksUSBData
volatile BYTE | bTransferInProgress
volatile BYTE | bSecondUartTxDataCounter []
volatile PBYTE | pbSecondUartTxData
BYTE | bStatusAction
WORD | wUsbEventMask
unsigned char | TEST

## Detailed Description

For more information on this file please refer to Programmer’s Guide: MSP430 USB API Stack for CDC/HID http://focus.ti.com/docs/prod/folders/print/msp430f5529.html#toolssoftware.

Author:
  Texas Instruments, Inc

Date:
  2009/06/11

Version:
  1.18 Initial Release

Note:
  Built with IAR Embedded Workbench for MSP430 Version: 5.10.1

Definition in file UsbIsr.c.

## Function Documentation

VOID IEP0InterruptHandler | ( | VOID |  | ) |

Handle In-requests from control pipe.

Definition at line 351 of file UsbIsr.c.

VOID OEP0InterruptHandler | ( | VOID |  | ) |

Handle Out-requests from control pipe.

Definition at line 367 of file UsbIsr.c.

VOID PWRVBUSoffHandler | ( | VOID |  | ) |

Handle VBuss off signal.

Definition at line 321 of file UsbIsr.c.

VOID PWRVBUSonHandler | ( | VOID |  | ) |

Handle VBuss on signal.

Definition at line 339 of file UsbIsr.c.

BYTE SetupPacketInterruptHandler | ( | VOID |  | ) |

Handle incoming setup packet. returns TRUE to keep CPU awake

Definition at line 280 of file UsbIsr.c.